﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TBS1032B: (1 year) VER VISA /5800A+5Ch
DATE:                  2018-09-30 16:58:11
AUTHOR:                Fluke
REVISION:              $Revision: 25085 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       173
CONFIGURATION:         Fluke 5800A (C5)
=============================================================================
#
#  Procedure Author:
#      PP
#
#  Source(s):
#      TBS1000B and TBS1000B-EDU Series Oscilloscopes
#      Specifications and Performance Verification
#      Technical Reference, PN 077-1025-01, Revision B.*
#      * The tolerances used by this procedure were taken from the published
#      specifications table and is specified below.
#
#  Model(s) Covered:
#      TBS1000B Series
#          TBS1032B, TBS1052B, TBS1072B, TBS1102B, TBS1152B
#		   TBS1202B.
#      TBS1000B-EDU Series
#          TBS1052B-EDU, TBS1072B-EDU, TBS1102B-EDU,
#		   TBS1152B-EDU, TBS1202B-EDU
#
#  Compatibility:
#      MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#      None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M5800                                                    C5
  1.003  5800         4MH                          1Vpp           LS S6 S  L
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                                     V

  1.006  IF           NOT(VERSIONCHECK("8.0"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Verification Method (No NTHROW)

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  DISP         Ensure a minimum DUT warm-up time of at least
  1.014  DISP         10 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  HEAD         COMMUNICATION SETUP
  1.016  TARGET
  1.017  CALL         Sub Tek TBS1000B USB Remote Interface Connection
  1.018  VISA         *RST

  1.019  HEAD         DUT IDENTIFICATION
  1.020  CALL         Sub IEEE-488.2 *IDN? VISA
  1.021  MATH         @DUT_Model = "TBS 1032B"
  1.022  MATH         @DUT_Manufacturer = "Tektronix"
  1.023  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.024  JMPL         END                          @Abort

  1.025  CALL         Sub Tek TBS1000B/1000B-EDU Specifications

# Specify whether the calibrator have multi channels during test in order
# to decide proper connection instruction be taken in the sub procedures.
  1.026  MATH         @SourceMultiCh = 1

  1.027  HEAD         EQUIPMENT REQUIREMENTS
  1.028  OPBR         -z Do you want to review the list of additional
  1.028  OPBR         equipment and/or accessories required?

  1.029  IF           MEM1
  1.030  CALL         Sub Tek TBS1000B/1000B-EDU VER Required Equipment /5800
  1.031  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.032  CALL         Sub Tek TBS1000B/1000B-EDU Self-Test VISA
  1.033  JMPL         END                          @Abort
  1.034  CALL         Sub Tek TBS1000B/1000B-EDU Sig Path Comp Cal VISA
  1.035  JMPL         END                          @Abort

  1.036  MATH         @Chan = 1
  1.037  M5800                                                    C1
  1.038  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) DCV Meas VISA /5800

  1.039  MATH         @Chan = 2
  1.040  M5800                                                    C2
  1.041  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) DCV Meas VISA /5800
  1.042  JMPL         VERTICAL_POSITION

  1.043  LABEL        BANDWIDTH
  1.044  MATH         @Chan = 1
  1.045  M5800                                                    C1
  1.046  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) Bandwidth VISA /5800

  1.047  MATH         @Chan = 2
  1.048  M5800                                                    C2
  1.049  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) Bandwidth VISA /5800

  1.050  MATH         @Chan = 1
  1.051  M5800                                                    C1
  1.052  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) Trig Sens VISA /5800

  1.053  MATH         @Chan = 2
  1.054  M5800                                                    C2
  1.055  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) Trig Sens VISA /5800
  1.056  JMPL         SAMPLE_RATE_DELAY_TIME

  1.057  LABEL        EXT_TRIG_CH1
  1.058  MATH         @Chan = 1
  1.059  M5800                                                    C1
  1.060  CALL         Sub Tek TBS1000B (1 yr) ExTrig Sens VISA /5800

  1.061  MATH         @Chan = 2
  1.062  M5800                                                    C1
  1.063  CALL         Sub Tek TBS1000B (1 yr) ExTrig Sens VISA /5800
  1.064  JMPL         END

  1.065  LABEL        SAMPLE_RATE_DELAY_TIME
  1.066  MATH         @Chan = 1
  1.067  M5800                                                    C1
  1.068  CALL         Sub Tek TBS1000B (1 yr) Sample Rate VISA /5800
  1.069  JMPL         EXT_TRIG_CH1

  1.070  LABEL        VERTICAL_POSITION
  1.071  MATH         @Chan = 1
  1.072  M5800                                                    C1
  1.073  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) Vert Pos VISA /5800

  1.074  MATH         @Chan = 2
  1.075  M5800                                                    C2
  1.076  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) Vert Pos VISA /5800
  1.077  JMPL         BANDWIDTH

  1.078  LABEL        END

  1.079  IF           @Abort
  1.080  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.081  ENDIF

  1.082  VISA         *RST
  1.083  END
